package com.ywt.domain.entity.glasses;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 商家表
 */
@Entity
@Table(name = "shop")
public class Shop implements Serializable {
  private static final long serialVersionUID = 1L;

  @Id
  @Column(name = "id", insertable = false, nullable = false)
  private Integer id;

  /**
   * 店铺名称
   */
  @Column(name = "name", nullable = false)
  private String name;

  /**
   * 联系电话
   */
  @Column(name = "mobile")
  private String mobile;

  /**
   * 是否营业：0-打烊；1-正常接单
   */
  @Column(name = "available", nullable = false)
  private Integer available = 0;

  /**
   * 商家地址
   */
  @Column(name = "address", nullable = false)
  private String address;

  /**
   * 医院 id
   */
  @Column(name = "hospital_id", nullable = false)
  private Integer hospitalId = 12;

  /**
   * 权重
   */
  @Column(name = "weight")
  private Integer weight = 0;

  @Column(name = "create_time", nullable = false)
  private Date createTime;

  @Column(name = "update_time", nullable = false)
  private Date updateTime;

  /**
   * 删除标识：0-未删除；1-已删除
   */
  @Column(name = "deleted", nullable = false)
  private Integer deleted = 0;

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 店铺名称
   */
  public String getName() {
    return name;
  }

  /**
   * 店铺名称
   */
  public void setName(String name) {
    this.name = name;
  }

  /**
   * 联系电话
   */
  public String getMobile() {
    return mobile;
  }

  /**
   * 联系电话
   */
  public void setMobile(String mobile) {
    this.mobile = mobile;
  }

  /**
   * 是否营业：0-打烊；1-正常接单
   */
  public Integer getAvailable() {
    return available;
  }

  /**
   * 是否营业：0-打烊；1-正常接单
   */
  public void setAvailable(Integer available) {
    this.available = available;
  }

  /**
   * 商家地址
   */
  public String getAddress() {
    return address;
  }

  /**
   * 商家地址
   */
  public void setAddress(String address) {
    this.address = address;
  }

  /**
   * 医院 id
   */
  public Integer getHospitalId() {
    return hospitalId;
  }

  /**
   * 医院 id
   */
  public void setHospitalId(Integer hospitalId) {
    this.hospitalId = hospitalId;
  }

  /**
   * 权重
   */
  public Integer getWeight() {
    return weight;
  }

  /**
   * 权重
   */
  public void setWeight(Integer weight) {
    this.weight = weight;
  }

  public Date getCreateTime() {
    return createTime;
  }

  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  public Date getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  /**
   * 删除标识：0-未删除；1-已删除
   */
  public Integer getDeleted() {
    return deleted;
  }

  /**
   * 删除标识：0-未删除；1-已删除
   */
  public void setDeleted(Integer deleted) {
    this.deleted = deleted;
  }

  public String toString() {
    return "Shop{id=" + id + 
      ", name=" + name + 
      ", mobile=" + mobile + 
      ", available=" + available + 
      ", address=" + address + 
      ", hospitalId=" + hospitalId + 
      ", weight=" + weight + 
      ", createTime=" + createTime + 
      ", updateTime=" + updateTime + 
      ", deleted=" + deleted + 
      "}";
  }
}